Does CA XCOM for z/OS support SHA-2 certificates?

book

Article ID: 38129

calendar_today

Updated On:

Products

CA XCOM Data Transport CA XCOM Data Transport - z/OS

Issue/Introduction

Do any of the CA XCOM for z/OS support SHA-2 certificates?

Environment

Release: CA XCOM Data Transport for z/OS 12.0
Component: xcmvs

Resolution

SHA-2 certificates requires OpenSSL level 0.9.8o. The highest level of OpenSSL implemented with CA XCOM r11.5/11.6/12.0 is OpenSSL 0.9.8h, which is a lower level than required to support SHA-2 certificates.

In order to support SHA-2 certificates you would need CA XCOM r12 installed and IBM System SSL certificates implemented.